/*
 * Copyright (C) 2006 TopCoder Inc., All Rights Reserved.
 */
package com.topcoder.web.ui.tag.breadcrumbtrail;

import junit.framework.TestCase;

import javax.servlet.jsp.tagext.VariableInfo;


/**
 * <p>
 * Tests functionality and error cases of <code>BreadCrumbTrailTagExtraInfo</code> class.
 * </p>
 *
 * @author TCSDEVELOPER
 * @version 2.0
 */
public class BreadCrumbTrailTagExtraInfoUnitTest extends TestCase {
    /**
     * <p>
     * Tests the accuracy of method <code>getVariableInfo(TagData)</code>.
     * </p>
     */
    public void testGetVariableInfo_Accuracy() {
        VariableInfo[] variableInfos = new BreadCrumbTrailTagExtraInfo().getVariableInfo(null);
        assertEquals("The variableInfo should be got properly.", BreadCrumbTrailTag.BREADCRUMB_FORMAT_NODE,
            variableInfos[0].getVarName());
        assertEquals("The variableInfo should be got properly.", BreadCrumbNode.class.getName(),
            variableInfos[0].getClassName());
        assertEquals("The variableInfo should be got properly.", true, variableInfos[0].getDeclare());
        assertEquals("The variableInfo should be got properly.", VariableInfo.NESTED, variableInfos[0].getScope());
        assertEquals("The variableInfo should be got properly.", BreadCrumbTrailTag.BREADCRUMB_FORMAT_STYLE_CLASS,
            variableInfos[1].getVarName());
        assertEquals("The variableInfo should be got properly.",
                String.class.getName(), variableInfos[1].getClassName());
        assertEquals("The variableInfo should be got properly.", true, variableInfos[1].getDeclare());
        assertEquals("The variableInfo should be got properly.", VariableInfo.NESTED, variableInfos[1].getScope());
    }
}
